"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AskarModule = void 0;
const core_1 = require("@aries-framework/core");
const storage_1 = require("./storage");
const wallet_1 = require("./wallet");
class AskarModule {
    register(dependencyManager) {
        try {
            // eslint-disable-next-line import/no-extraneous-dependencies
            require('@hyperledger/aries-askar-nodejs');
        }
        catch (error) {
            try {
                require('@hyperledger/aries-askar-react-native');
            }
            catch (error) {
                throw new Error('Could not load aries-askar bindings');
            }
        }
        if (dependencyManager.isRegistered(core_1.InjectionSymbols.Wallet)) {
            throw new core_1.AriesFrameworkError('There is an instance of Wallet already registered');
        }
        else {
            dependencyManager.registerContextScoped(core_1.InjectionSymbols.Wallet, wallet_1.AskarWallet);
        }
        if (dependencyManager.isRegistered(core_1.InjectionSymbols.StorageService)) {
            throw new core_1.AriesFrameworkError('There is an instance of StorageService already registered');
        }
        else {
            dependencyManager.registerSingleton(core_1.InjectionSymbols.StorageService, storage_1.AskarStorageService);
        }
    }
}
exports.AskarModule = AskarModule;
//# sourceMappingURL=AskarModule.js.map